create procedure rrhh.sp_guardarPlanillaUnica
@numId int,
@numTipoPlanilla int,
@txtPeriodo varchar(6),
@numUsuario int,
@dbRespuesta varchar(300) output,
@dbId int output
as
begin
	set nocount on;

	if @numId = 0
		begin
			insert into rrhh.datos_planillaUnica(codtipoplanilla,periodo,idUsuario) values(@numTipoPlanilla,@txtPeriodo,@numUsuario);
			SELECT @dbId = SCOPE_IDENTITY();
		end
	else
		begin
			set @dbId = @numId;

			update rrhh.datos_planillaUnica SET codtipoplanilla = @numTipoPlanilla,periodo = @txtPeriodo WHERE id = @dbId;
		end

	set @dbRespuesta = 'success';
end